XnBaseNode.h File Reference
`#include <XnDataTypes.h>`

Go to the source code of this file.

## Classes

struct | XnBaseNode

## Typedefs

typedef struct XnBaseNode | XnBaseNode

## Functions

XN_C_API XnBaseNode *XN_C_DECL | xnAllocateBaseNode ()
XN_C_API void XN_C_DECL | xnDeallocateBaseNode (XnBaseNode *pNode)

## Typedef Documentation

## XnBaseNode

typedef struct XnBaseNode XnBaseNode

The base of the building block of the data types - XnBaseNode

## Function Documentation

## xnAllocateBaseNode()

XN_C_API XnBaseNode *XN_C_DECL xnAllocateBaseNode | ( |  | ) |

Provide an available xnBaseNode from the node pool.

## xnDeallocateBaseNode()

XN_C_API void XN_C_DECL xnDeallocateBaseNode | ( | XnBaseNode * | pNode | ) |

Release an xnBaseNode to the node pool.

Parameters

  pNode | [in] The base node to return to the pool.